{% extends "references_manager/base.html" %}
{% load crispy_forms_tags %}

{% block title %}- Add new product{% endblock %}

{% block content %}

<div class="container col-12">
    <div class="container bg-white rounded shadow">
        <form method="POST" enctype="multipart/form-data">
            <div class="row">

                <div class="form-group col-md-6">


                        {% csrf_token %}
                        <h2>Create new product</h2>
                        {{ p_form|crispy }}
                        <hr/>
                        <h4>Add some files if needed:</h4>
                        {{ formset_f|crispy }}



                </div>
                <div class="form-group col-md-6">


                    <h2>Add references</h2>
                    <div class="row">
                        {{ formset_r.management_form|crispy }}
                            {% for form in formset_r.forms %}
                                {% for field in form.visible_fields %}
                                    <div class="col-6">
                                        {{ field|as_crispy_field }}
                                    </div>
                                {% endfor %}
                            {% endfor %}


                    </div>
                    <button type="submit" class="btn btn-info" onclick="this.className='btn btn-success'"><span class="fa fa-floppy-o"></span> Save</button>
                </div>


            </div>

        </form>
    </div>
</div>
{% endblock content %}